Bug 520052

Summary: "Close this window?" dialog should be configurable
Product: [Fedora] Fedora Reporter: Tim <ack210t>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 11CC: behdad, dosboss64
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 10:20:55 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Tim 2009-08-28 03:14:26 EDT
Description of problem:

When there's a process running under a window, if you click the close box in the upper right hand corner, you get a dialog box "Close this window?" This does not appear to be configurable, and really should be. There are many cases in which a user may want to close a window with an "active" process, and the requirement to deal with the dialog box is annoying. For instance, you have an ssh session open to a remote system and lose connectivity, etc...

Or more to the point, I never click the close box unless I really want the window to close, so... I'd rather it just closed!

Of course, I understand the rationale for the dialog, but it should be a user choice (configuration option). A "Never show me this again" checkbox in the dialog might be useful, too.

Version-Release number of selected component (if applicable):

2.26.3.1

How reproducible:

100%


Steps to Reproduce:
1. Open a terminal window
2. Run a utility like "top"
3. Click the close box
  
Actual results:

Dialog box appears.

Expected results:

The dialog box should be configurable.

Additional info:
Comment 1 dosboss64 2010-04-23 10:37:31 EDT
This may seem like a 'me too' comment, but it is really annoying to have this question dialog for open terminals I want to close.  Indeed as the bug filer mentioned, if I click the close window widget, I expect the window to close.  Configurability of this dialog is completely acceptable, IMHO.

In addition to the bug, I would like to mention that the 'process still running in the terminal' in my case is 'sudo -i' - in other words, it is sitting at a root prompt.  This is not what I would expect the logic for this dialog window to catch on.

As an aside, I run a couple boxes with the 'fruit' OS, and the terminal there also has this dialog.  However, not only does it have an 'off switch' for the dialog, but it is configurable to ignore a *list* of running execs in a terminal window when closing - in other words it will not pop up the dialog if one of the listed execs is running (this is also reversible, e.g. it will show the dialog if on of the listed execs is running, but it will not show for anything else).  Is it possible to have that type of functionality in Fedora/Gnome terminal?
Comment 2 Bug Zapper 2010-04-28 06:02:02 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 10:20:55 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.